LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
ItemStatus Struct Reference

describes a state of a property. More...

`import"ItemStatus.idl";`

## Public Attributes
short | State
| numerical value which describes the current state of an item. More...
any | aStateData
| optional data which can be used by an implementation to send additional information. More...

## Detailed Description

describes a state of a property.

Since
  OOo 2.0

## Member Data Documentation

## ◆ aStateData

any aStateData

optional data which can be used by an implementation to send additional information.

The content is dependent on the specific implementation.

## ◆ State

short State

numerical value which describes the current state of an item.

See also
  ItemState

The documentation for this struct was generated from the following file:

- com/sun/star/frame/status/ItemStatus.idl